Subject: Re: [bug#27468] [PATCH] gnu: Add linkchecker.

From: Arun Isaac <[email-masked]>
Date: Sat, 26 Aug 2017 13:11:42 +0530

>>> Also, since GPL2+ is stricter than the other licenses, the program as a
>>> whole is effectively GPL2+, so we don't really need to mention those
>>> one-off source files in the license field (but comments are great).
>>
>> But, we generally don't hide this information from the user, right? Many
>> Guix packages have licenses of even single files mentioned in the
>> `license' field. Do you still think I should remove them?
>
> I don't know :-) Licensing is a tricky topic.  The GPL is rather
> explicit in that it covers the "program as a whole".  If we treat
> individual parts differently, it may be misleading to the end user.
>
> OTOH, the GPL permits using those source files individually under their
> own terms.  Perhaps the most practical solution would be to add a
> "supplementary licenses" interface...
>
> I am not a lawyer, so please use your own judgement.  No strong opinion
> either way.  :-)

I'm confused too. So, I have escalated this question to
guix-devel. Let's see what others have to say.